## black 22.10.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==0.18.1
Sphinx==5.2.3
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.19
sphinxcontrib-programoutput==0.17
sphinx_copybutton==0.5.0
furo==2022.9.29

## black 18.9b0-1

=== debian/changelog ===
black (18.9b0-1-6) unstable; urgency=medium

  * Support for Python3.7 and test dependencies. (Closes: #914552)

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Nov 2018 09:47:06 +0000

black (18.9b0-1-5) unstable; urgency=medium

  * Bump minimum Python3 version to 3.6 (Closes: #912760)

 -- Neil Williams <codehelp@debian.org>  Wed, 07 Nov 2018 17:34:20 +0000

black (18.9b0-1-4) unstable; urgency=medium

  * Fix "broken symlink to undercore.js in doc package.
    (Closes: #911066)

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Oct 2018 13:22:59 +0100

black (18.9b0-1-3) unstable; urgency=medium

  * Build manpage each time and update VCS links

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Oct 2018 14:34:17 +0100

black (18.9b0-1-2) unstable; urgency=medium

  * Change build-dep to just python3, drop build-depend
    on python3-all-dev (Closes: #910094)

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Oct 2018 12:47:58 +0100

black (18.9b0-1-1) unstable; urgency=medium

  * New upstream release
  * Drop objects.inv from docs to aid reproducibility

 -- Neil Williams <codehelp@debian.org>  Thu, 27 Sep 2018 13:37:28 +0100

black (18.6b4-1) unstable; urgency=medium

  * Initial release. (Closes: #909562: ITP: black -- uncompromising
    Python code formatter)

 -- Neil Williams <codehelp@debian.org>  Fri, 21 Sep 2018 18:43:59 +0100

=== debian/control ===
Source: black
Section: python
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3, python3-recommonmark, python3-setuptools,
 python3-appdirs, python3-attr, python3-click,
 python3-toml, python3-sphinx, python3-docutils,
 libjs-underscore, libjs-jquery
Standards-Version: 4.2.1
Homepage: https://github.com/ambv/black
X-Python3-Version: >= 3.6
Vcs-Git: https://github.com/codehelp/pkg-black
Vcs-Browser: https://github.com/codehelp/pkg-black

Package: black
Architecture: all
Depends: python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Suggests: python-black-doc
Description: uncompromising Python code formatter (Python 3)
 Black is the uncompromising Python code formatter. By using it, you 
 agree to cede control over minutiae of hand-formatting. In return, 
 Black gives you speed, determinism, and freedom from pycodestyle 
 nagging about formatting. You will save time and mental energy for 
 more important matters.
 .
 Blackened code looks the same regardless of the project you're reading. 
 Formatting becomes transparent after a while and you can focus on the 
 content instead.
 .
 Black makes code review faster by producing the smallest diffs 
 possible.

Package: python-black-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: uncompromising Python code formatter (common documentation)
 Black is the uncompromising Python code formatter. This package contains
 the documentation for applying black to your code.
 .
 Blackened code looks the same regardless of the project you're reading. 
 Formatting becomes transparent after a while and you can focus on the 
 content instead.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/black-$1\.tar\.gz/ \
  https://github.com/ambv/black/tags .*/v?(\d\S+)\.tar\.gz

## black 19.3b0

=== debian/changelog ===
black (19.3b0-1) unstable; urgency=medium

  * Upload into unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 09:50:01 +0200

black (19.3b0-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #926155)
  * Package moved in the Debian Python team (Closes: #926156)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Apr 2019 22:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: black
 Section: python
 Priority: optional
-Maintainer: Neil Williams <codehelp@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Neil Williams <codehelp@debian.org>,
+ Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 11), dh-python,
  python3, python3-recommonmark, python3-setuptools,
  python3-appdirs, python3-attr, python3-click,
@@ -10,8 +12,8 @@
 Standards-Version: 4.2.1
 Homepage: https://github.com/ambv/black
 X-Python3-Version: >= 3.6
-Vcs-Git: https://github.com/codehelp/pkg-black
-Vcs-Browser: https://github.com/codehelp/pkg-black
+Vcs-Git: https://salsa.debian.org/python-team/applications/black.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/black.git
 
 Package: black
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export PYBUILD_NAME=black


%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build
	make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	${RM} ./build/lib/blackd.py

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/black/ --install-layout=deb
	rst2man debian/manpage.rst > debian/black.1
	dh_installman debian/black.1
	${RM} ./docs/_build/html/objects.inv
	${RM} ./debian/black/usr/bin/blackd

override_dh_auto_clean:
	python3 setup.py clean -a
	${RM} -r debian/black docs/_build/ docs/_static/pypi.svg
	${RM} -r __pycache__ ./blib2to3/pgen2/__pycache__ ./blib2to3/__pycache__
	${RM} -r tests/__pycache__
	find docs/ -type l -delete

=== debian/tests/control ===
Tests: testsuite
Depends: python3, python3-recommonmark, python3-setuptools,
 python3-sphinx, python3-docutils,
 python3-appdirs, python3-attr, python3-click, python3-toml
Restrictions: allow-stderr, needs-root

## black 19.10b0

=== debian/changelog ===
black (19.10b0-3) unstable; urgency=medium

  * For now, disable autopkgtest on !amd64
    Fails because of dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Apr 2020 13:32:13 +0200

black (19.10b0-2) unstable; urgency=medium

  * Try to force the PYTHONPATH to make autopkgtest
    (Closes: #945609)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Mar 2020 22:37:52 +0100

black (19.10b0-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New Upstream release (Closes: #944292)
  * d/control: Bump Standards-Version to 4.4.1
  * d/control: Bump debhelper-compat to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove trailing whitespaces.
  * d/control: Fix wrong Vcs-*.

  [ Sylvestre Ledru ]
  * d/control: add missing deps for the testsuite
  * Disable the scm setuptools check as the tarball doesn't
    have the info

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 Nov 2019 16:42:25 +0100

=== debian/control ===
Source: black
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
 python3, python3-recommonmark, python3-setuptools,
 python3-appdirs, python3-attr, python3-click,
 python3-toml, python3-sphinx, python3-docutils,
 libjs-underscore, libjs-jquery, python3-setuptools-scm,
 python3-pathspec, python3-regex, python3-typed-ast,
 python3-aiohttp, python3-aiohttp-cors
Standards-Version: 4.4.1
Homepage: https://github.com/ambv/black
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/applications/black.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/black

Package: black
Architecture: all
Depends: python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Suggests: python-black-doc
Description: uncompromising Python code formatter (Python 3)
 Black is the uncompromising Python code formatter. By using it, you
 agree to cede control over minutiae of hand-formatting. In return,
 Black gives you speed, determinism, and freedom from pycodestyle
 nagging about formatting. You will save time and mental energy for
 more important matters.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.
 .
 Black makes code review faster by producing the smallest diffs
 possible.

Package: python-black-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: uncompromising Python code formatter (common documentation)
 Black is the uncompromising Python code formatter. This package contains
 the documentation for applying black to your code.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,15 @@
 
 export PYBUILD_NAME=black
 
+export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)
 
 %:
+	echo "version = '$(VERSION)'" > _black_version.py
 	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	python3 setup.py build
-	make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
+	PYTHONPATH=".." make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
 	${RM} ./build/lib/blackd.py
 
 override_dh_auto_install:
@@ -32,6 +34,6 @@
 	python3 setup.py clean -a
 	${RM} -r debian/black docs/_build/ docs/_static/pypi.svg
 	${RM} -r __pycache__ ./blib2to3/pgen2/__pycache__ ./blib2to3/__pycache__
-	${RM} -r tests/__pycache__
+	${RM} -r tests/__pycache__ _black_version.py
 	find docs/ -type l -delete

=== debian/tests/control ===
Tests: testsuite
Depends: python3, python3-recommonmark, python3-setuptools,
 python3-sphinx, python3-docutils,
 python3-appdirs, python3-attr, python3-click, python3-toml,
 python3-aiohttp, dpkg-dev
Restrictions: allow-stderr, needs-root

## black 20.8b1

=== debian/changelog ===
black (20.8b1-4) unstable; urgency=medium

  * Modify autopkgtests to not use setup.py (Closes: #981764)
    - several tests assume that they run in the source tree, I skipped
      test_process_queue because it assumed there was a json file installed
      near the library.

 -- Diane Trout <diane@ghic.org>  Tue, 09 Feb 2021 11:09:40 -0800

black (20.8b1-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Team upload.
  * Ensure that a "black" binary exists before running the testsuite to avoid test_async_main test failure.
  * releasing package black version 20.8b1-2

  [ Diane Trout ]
  * unittests assume the command is installed (Closes: #972519)
  * Release to unstable

 -- Diane Trout <diane@ghic.org>  Wed, 04 Nov 2020 21:23:13 -0800

black (20.8b1-2) unstable; urgency=medium

  * Team upload.
  * Correct version handling to avoid "ModuleNotFoundError: No module named
    '_black_version'" error when loading. (Closes: #970901)
  * Ensure that a "black" binary exists before running the testsuite to avoid
    test_async_main test failure.
  * Don't specific maintainer-specific build directories in debian/gbp.conf.
  * Commit tarballs to pristine-tar branch.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Oct 2020 11:48:16 +0100

black (20.8b1-1) unstable; urgency=medium

  [ Denis Laxalde ]
  * d/control: Define Built-Using for -doc package

  [ Sylvestre Ledru ]
  * new upstream release
    Needs sphinx3 (> 3.2) and python3-recommonmark
    and python3-mypy-extensions, python3-typing-extensions
  * black 20.8 needs a recent version of regex, explicit
    the dep: python3-regex (>= 0.1.202018)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Sep 2020 21:28:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: black
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
  python3, python3-recommonmark, python3-setuptools,
  python3-appdirs, python3-attr, python3-click,
- python3-toml, python3-sphinx, python3-docutils,
+ python3-toml, python3-sphinx (>= 3.2), python3-recommonmark,
+ python3-docutils,
  libjs-underscore, libjs-jquery, python3-setuptools-scm,
- python3-pathspec, python3-regex, python3-typed-ast,
- python3-aiohttp, python3-aiohttp-cors
+ python3-pathspec, python3-regex (>= 0.1.202018), python3-typed-ast,
+ python3-aiohttp, python3-aiohttp-cors,
+ python3-mypy-extensions, python3-typing-extensions
 Standards-Version: 4.4.1
 Homepage: https://github.com/ambv/black
 X-Python3-Version: >= 3.6
-Vcs-Git: https://salsa.debian.org/python-team/applications/black.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/black
+Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/black
 
 Package: black
 Architecture: all
@@ -39,6 +41,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: uncompromising Python code formatter (common documentation)
  Black is the uncompromising Python code formatter. This package contains
  the documentation for applying black to your code.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 export PYBUILD_NAME=black
 
-export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)
+export VERSION=$(shell dpkg-parsechangelog -S Version|cut -d- -f1)
 
 %:
 	echo "version = '$(VERSION)'" > _black_version.py
+	mkdir -p src
+	cp _black_version.py src/
 	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
@@ -30,10 +32,18 @@
 	${RM} ./docs/_build/html/objects.inv
 	${RM} ./debian/black/usr/bin/blackd
 
+override_dh_auto_test:
+	# Ensure we have entry_points created
+	python3 setup.py develop --prefix=$(CURDIR)/testtmp
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PATH=testtmp/bin:${PATH} dh_auto_test
+endif
+	${RM} -rf testtmp
+
 override_dh_auto_clean:
 	python3 setup.py clean -a
 	${RM} -r debian/black docs/_build/ docs/_static/pypi.svg
 	${RM} -r __pycache__ ./blib2to3/pgen2/__pycache__ ./blib2to3/__pycache__
-	${RM} -r tests/__pycache__ _black_version.py
+	${RM} -r tests/__pycache__ _black_version.py src/_black_version.py
 	find docs/ -type l -delete

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3, python3-recommonmark,
 python3-sphinx, python3-docutils,
 python3-appdirs, python3-attr, python3-click, python3-toml,
 python3-aiohttp, dpkg-dev, python3-pytest,
Restrictions: allow-stderr, needs-root

## black 21.12b0

=== debian/changelog ===
black (21.12b0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Specify Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Jan 2022 08:05:31 -0800

black (21.10b0-1) unstable; urgency=medium

  [ Neil Williams ]
  * Prepare for upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-regex.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Neil Williams ]
  * Update homepage links for new location to avoid the redirect.
  * Bump debhelper from old 12 to 13.
  * Update B-D for upstream changes
  * Fix autopkgtest support for new upstream
  * Allow autopkgtest on all architectures (Closes: #995344)
  * New upstream release (Closes: #966141)

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Nov 2021 20:15:11 +0000

black (21.4b2-3) unstable; urgency=medium

  * Remove Sphinxdoc built-using as only symlinks are required.
  * Add black_primer manpage rule & install it.
  * Update manpage for black.1 (Closes: #983440)
  * Update version handling. (Closes: #955008)

 -- Neil Williams <codehelp@debian.org>  Sun, 10 Oct 2021 17:18:11 +0100

black (21.4b2-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: drop needs-root restriction
  * debian/tests/control: add new test dependencies (Closes: #994567)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 28 Sep 2021 18:02:01 -0300

black (21.4b2-1) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:40:14 +0200

black (21.4b2-1~exp1) experimental; urgency=medium

  * new upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 May 2021 11:28:52 +0200

=== debian/control ===
Source: black
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
           Sylvestre Ledru <sylvestre@debian.org>,
           Chris Lamb <lamby@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all:any,
 python3-setuptools,
 python3-platformdirs,
 python3-click,
 python3-sphinx (>= 3.2),
 python3-docutils,
 python3-pytest,
 python3-pathspec,
 python3-regex,
 python3-typed-ast,
 python3-aiohttp,
 python3-tomli,
 python3-mypy-extensions,
 python3-typing-extensions,
 libjs-underscore,
 libjs-jquery,
 python3-sphinxcontrib.programoutput,
 python3-sphinx-copybutton (>= 0.4.0-2),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/black
Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
Homepage: https://github.com/psf/black
X-Python3-Version: >= 3.6
Rules-Requires-Root: no

Package: black
Architecture: all
Depends: python3-pkg-resources,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-black-doc
Description: uncompromising Python code formatter (Python 3)
 Black is the uncompromising Python code formatter. By using it, you
 agree to cede control over minutiae of hand-formatting. In return,
 Black gives you speed, determinism, and freedom from pycodestyle
 nagging about formatting. You will save time and mental energy for
 more important matters.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.
 .
 Black makes code review faster by producing the smallest diffs
 possible.

Package: python-black-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: uncompromising Python code formatter (common documentation)
 Black is the uncompromising Python code formatter. This package contains
 the documentation for applying black to your code.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export PYBUILD_NAME=black

%:
	echo "version = '$(DEB_VERSION_UPSTREAM)'" > _black_version.py
	mkdir -p src
	cp _black_version.py src/
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build
	PYTHONPATH="..:../src/" make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	${RM} ./build/lib/blackd.py

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/black/ --install-layout=deb
	rst2man debian/manpage.rst > debian/black.1
	dh_installman debian/black.1
	rst2man debian/manpage2.rst > debian/black-primer.1
	dh_installman debian/black-primer.1
	${RM} ./docs/_build/html/objects.inv
	${RM} ./debian/black/usr/bin/blackd

override_dh_auto_test:
	# Ensure we have entry_points created
	python3 setup.py develop --prefix=$(CURDIR)/testtmp
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PATH=testtmp/bin:${PATH} PYTHONPATH=src pytest-3 tests --run-optional no_python2 --run-optional no_jupyter
endif
	${RM} -rf testtmp

override_dh_auto_clean:
	python3 setup.py clean -a
	${RM} -r debian/black docs/_build/ docs/_static/pypi.svg
	${RM} -r __pycache__ ./blib2to3/pgen2/__pycache__ ./blib2to3/__pycache__
	${RM} -r tests/__pycache__ _black_version.py src/_black_version.py
	find docs/ -type l -delete

## black 22.6.0

=== debian/changelog ===
black (22.6.0-2) unstable; urgency=medium

  * Team upload.
  * Add bash completion.
    Thanks to Hans-Christoph Steiner (Closes: #968043)
  * Skip blackd tests

 -- Timo Röhling <roehling@debian.org>  Sat, 06 Aug 2022 20:41:25 +0200

black (22.6.0-1) unstable; urgency=medium

  * Team upload.
  * Modernize and simplify packaging
  * New upstream version 22.6.0
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sat, 30 Jul 2022 23:05:32 +0200

black (22.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Apr 2022 09:28:05 +0200

black (22.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2022 10:20:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,30 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ bash-completion,
  dh-python,
- python3-all:any,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ libjs-jquery <!nodoc>,
+ libjs-underscore <!nodoc>,
+ pybuild-plugin-pyproject,
+ python3-aiohttp <!nocheck>,
+ python3-all,
+ python3-click,
+ python3-mypy-extensions,
+ python3-pathspec,
+ python3-platformdirs,
+ python3-pytest <!nocheck>,
+ python3-regex,
  python3-setuptools,
- python3-platformdirs,
- python3-click,
- python3-sphinx (>= 3.2),
- python3-docutils,
- python3-pytest,
- python3-pathspec,
- python3-regex,
+ python3-setuptools-scm,
+ python3-sphinx (>= 3.2) <!nodoc>,
+ python3-sphinx-copybutton (>= 0.4.0-2) <!nodoc>,
+ python3-sphinxcontrib.programoutput <!nodoc>,
+ python3-tomli,
  python3-typed-ast,
- python3-aiohttp,
- python3-tomli,
- python3-mypy-extensions,
  python3-typing-extensions,
- libjs-underscore,
- libjs-jquery,
- python3-sphinxcontrib.programoutput,
- python3-sphinx-copybutton (>= 0.4.0-2),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/black
 Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
 Homepage: https://github.com/psf/black

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_DESTDIR=debian/black/

%:
	dh $@ --buildsystem=pybuild --with bash-completion

execute_after_dh_auto_build:
	make -C docs/ html PYTHONPATH="..:../src/" SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

execute_after_dh_auto_install:
	rm debian/black/usr/bin/blackd

execute_before_dh_installman:
	rst2man debian/manpage.rst > debian/black.1
	rst2man debian/manpage2.rst > debian/black-primer.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py develop --prefix=$(CURDIR)/.pybuild/test-prefix
	PATH=.pybuild/test-prefix/bin:${PATH} PYTHONPATH=src pytest-3 tests --run-optional no_jupyter,no_blackd
endif

## black 22.10.0

=== debian/changelog ===
black (22.10.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Remove unused dependency on python3-typed-ast
    This dependency is only required for Python < 3.8.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Oct 2022 23:14:35 +0200

black (22.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Timo Röhling ]
  * New upstream version 22.10.0

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Oct 2022 21:32:44 +0200

black (22.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 22.8.0

 -- Timo Röhling <roehling@debian.org>  Mon, 05 Sep 2022 18:12:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")
export PYBUILD_DESTDIR=debian/black/

%:
	dh $@ --buildsystem=pybuild --with bash-completion

execute_after_dh_auto_build:
	make -C docs/ html PYTHONPATH="..:../src/" SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

execute_after_dh_auto_install:
	rm debian/black/usr/bin/blackd

execute_before_dh_installman:
	rst2man debian/manpage.rst > debian/black.1
	rst2man debian/manpage2.rst > debian/black-primer.1

override_dh_auto_test:

## black 23.1.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==0.18.1
Sphinx==5.3.0
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.19
sphinxcontrib-programoutput==0.17
sphinx_copybutton==0.5.1
furo==2022.12.7

=== debian/changelog ===
black (23.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Feb 2023 21:55:25 +0100

black (22.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Dec 2022 00:43:45 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
  python3-aiohttp <!nocheck>,
  python3-all,
  python3-click,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-mypy-extensions,
  python3-pathspec,
  python3-platformdirs,
@@ -28,7 +30,6 @@
  python3-sphinx-copybutton (>= 0.4.0-2) <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
  python3-tomli,
- python3-typed-ast,
  python3-typing-extensions,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/black

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3,
 dpkg-dev,
 python3-setuptools,
 python3-platformdirs,
 python3-click,
 python3-sphinx,
 python3-docutils,
 python3-pytest,
 python3-pathspec,
 python3-regex,
 python3-typed-ast,
 python3-aiohttp,
 python3-tomli,
 python3-mypy-extensions,
 python3-typing-extensions,
Restrictions: allow-stderr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/black-$1\.tar\.gz/ \
  https://github.com/psf/black/tags .*/v?(\d\S+)\.tar\.gz

## black 23.7.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==2.0.0
Sphinx==6.1.3
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.19
sphinxcontrib-programoutput==0.17
sphinx_copybutton==0.5.2
furo==2023.5.20

=== debian/changelog ===
black (23.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Jul 2023 10:27:25 +0200

black (23.3.0-1) unstable; urgency=medium

  * upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Jun 2023 13:53:20 +0200

black (23.3.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 13:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: black
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>,
-           Sylvestre Ledru <sylvestre@debian.org>,
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
            Chris Lamb <lamby@debian.org>,
 Section: python
 Priority: optional

## black 24.2.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==2.0.0
Sphinx==7.2.6
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.20.1
sphinxcontrib-programoutput==0.17
sphinx_copybutton==0.5.2
furo==2024.1.29

=== debian/changelog ===
black (24.2.0-1ubuntu1) noble; urgency=medium

  * d/test/control: drop unused dependency on python3-typed-ast, which was
    dropped from the archive. (LP: #2058692)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 21 Mar 2024 23:05:19 +0100

black (24.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Feb 2024 10:49:02 +0100

black (24.1.1-1) unstable; urgency=medium

  * new upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Feb 2024 18:49:45 +0100

black (23.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Nov 2023 13:54:15 +0100

black (23.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 25 Oct 2023 23:39:44 +0200

black (23.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Oct 2023 08:30:41 +0200

black (23.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 Sep 2023 16:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: black
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
            Chris Lamb <lamby@debian.org>,
 Section: python

=== debian/tests/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  python3-pytest,
  python3-pathspec,
  python3-regex,
- python3-typed-ast,
  python3-aiohttp,
  python3-tomli,
  python3-mypy-extensions,

## black 24.4.2

=== debian/changelog ===
black (24.4.2-2) unstable; urgency=medium

  * Team upload.
  * Compile Black using mypyc, as upstream does for PyPI. Closes: #1066036
    Tests are now run at build time as well.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/control: remove unneeded X-Python3-Version >= 3.6
  * Remaining patches are Debian-specific and do not need forwarding
    upstream.
  * Use pybuild for the autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 May 2024 19:18:06 +0200

black (24.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 May 2024 10:45:25 +0200

black (24.4.0-2) unstable; urgency=medium

  * Team upload
  * Note that package Breaks python3-pylsp-black (<< 2.0.0-4)

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 18:00:06 +0100

black (24.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release, fixes CVE-2024-21503 (closes: #1067177)
  * Drop defunct python3-typed-ast from autopkgtest dependencies
    (closes: #1067466)
  * Update Standards-Version (no changes needed)

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 06:26:09 +0100

=== debian/control ===
Source: black
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Chris Lamb <lamby@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               libjs-jquery <!nodoc>,
               libjs-underscore <!nodoc>,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all-dev,
               python3-click,
               python3-hatch-mypyc,
               python3-hatch-vcs,
               python3-hatchling,
               python3-mypy-extensions,
               python3-pathspec,
               python3-platformdirs,
               python3-pytest <!nocheck>,
               python3-regex,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton (>= 0.4.0-2) <!nodoc>,
               python3-sphinxcontrib.programoutput <!nodoc>,
               python3-tomli,
               python3-typing-extensions
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/black
Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
Homepage: https://github.com/psf/black
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: black
Architecture: any
Depends: python3-pkg-resources,
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: python-black-doc
Breaks: python3-pylsp-black (<< 2.0.0-4)
Description: uncompromising Python code formatter (Python 3)
 Black is the uncompromising Python code formatter. By using it, you
 agree to cede control over minutiae of hand-formatting. In return,
 Black gives you speed, determinism, and freedom from pycodestyle
 nagging about formatting. You will save time and mental energy for
 more important matters.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.
 .
 Black makes code review faster by producing the smallest diffs
 possible.

Package: python-black-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: uncompromising Python code formatter (common documentation)
 Black is the uncompromising Python code formatter. This package contains
 the documentation for applying black to your code.
 .
 Blackened code looks the same regardless of the project you're reading.
 Formatting becomes transparent after a while and you can focus on the
 content instead.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")
 export PYBUILD_DESTDIR=debian/black/
+export PYBUILD_TEST_ARGS=--run-optional no_jupyter,no_blackd -k "not (incompatible_with_mypyc)"
+export HATCH_BUILD_HOOKS_ENABLE=1
+export MYPYC_OPT_LEVEL=3
+export MYPYC_DEBUG_LEVEL=0
 
 %:
 	dh $@ --buildsystem=pybuild --with bash-completion
@@ -15,5 +19,3 @@
 execute_before_dh_installman:
 	rst2man debian/manpage.rst > debian/black.1
 	rst2man debian/manpage2.rst > debian/black-primer.1
-
-override_dh_auto_test:

## black 24.8.0

=== debian/changelog ===
black (24.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches.
  * d/control: build the docs using upstream's preferred theme: furo.
  * python3-hatch-fancy-pypi-readme & python3-myst-parser are available,
    remove patches that worked around their previous absencse.
  * Increased (mypyc) build verbosity and produce debug information
  * Link the docs against the python3-doc package.
  * Added patch to preserve privacy by removing external image
    references.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 04 Aug 2024 16:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,20 @@
                dh-python,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               furo <!nodoc>,
                libjs-jquery <!nodoc>,
                libjs-underscore <!nodoc>,
                pybuild-plugin-pyproject,
                python3-aiohttp <!nocheck>,
                python3-all-dev,
                python3-click,
+               python3-doc <!nodoc>,
+               python3-hatch-fancy-pypi-readme,
                python3-hatch-mypyc,
                python3-hatch-vcs,
                python3-hatchling,
                python3-mypy-extensions,
+               python3-myst-parser <!nodoc>,
                python3-pathspec,
                python3-platformdirs,
                python3-pytest <!nocheck>,
@@ -65,6 +69,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Recommends: python3-doc
 Description: uncompromising Python code formatter (common documentation)
  Black is the uncompromising Python code formatter. This package contains
  the documentation for applying black to your code.

## black 24.10.0

=== debian/changelog ===
black (24.10.0-3) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083315)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 20:40:14 +0100

black (24.10.0-2) unstable; urgency=medium

  * Team upload.
  * Fix type error (closes: #1091135).

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Dec 2024 00:48:10 +0000

black (24.10.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/patches/verbose-mypyc: set the debug level to the default of 2

  [ Sylvestre Ledru ]
  * New upstream release
  * Update Standards-Version to 4.7.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 Oct 2024 23:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-sphinxcontrib.programoutput <!nodoc>,
                python3-tomli,
                python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/black
 Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
 Homepage: https://github.com/psf/black
@@ -43,8 +43,7 @@
 
 Package: black
 Architecture: any
-Depends: python3-pkg-resources,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: python-black-doc

## black 25.1.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==4.0.0
Sphinx==8.1.3
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.21.2
sphinxcontrib-programoutput==0.18
sphinx_copybutton==0.5.2
furo==2024.8.6

=== debian/changelog ===
black (25.1.0-3) unstable; urgency=medium

  * Team upload
  * Ignore test_simple_format (regression with pep_701.py, Closes: #1106422)

  [ Alexandre Detiste ]
  * remove build-dep on python3-tomli

 -- Bastian Germann <bage@debian.org>  Tue, 27 May 2025 15:45:03 +0200

black (25.1.0-2) unstable; urgency=medium

  [ Peter Pentchev ]
  * Team upload.
  * Add the upstream click-mix-stderr patch for click 8.2.0.

  [ Michael R. Crusoe ]
  * Adjust the click 8.2.0 patch to enable the tests to pass.
    Closes: #1098535
  * Standards-Version: 4.7.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 27 Feb 2025 15:54:19 +0100

black (25.1.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 05 Feb 2025 09:23:24 +0100

black (25.1.0-0exp) experimental; urgency=medium

  * New upstream version, upload to experimental.
  * Patches, dropped fix-type-error.patch as it was applied upstream.
    Refreshed verbose-mypyc.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 29 Jan 2025 14:35:48 +0100

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,8 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-copybutton (>= 0.4.0-2) <!nodoc>,
                python3-sphinxcontrib.programoutput <!nodoc>,
-               python3-tomli,
                python3-typing-extensions
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/black
 Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
 Homepage: https://github.com/psf/black

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")
 export PYBUILD_DESTDIR=debian/black/
-export PYBUILD_TEST_ARGS=--run-optional no_jupyter,no_blackd -k "not (incompatible_with_mypyc)"
+export PYBUILD_TEST_ARGS=--run-optional no_jupyter,no_blackd -k "not (incompatible_with_mypyc or test_simple_format)"
+export PYBUILD_BUILD_ARGS=--verbose
 export HATCH_BUILD_HOOKS_ENABLE=1
-export MYPYC_OPT_LEVEL=3
-export MYPYC_DEBUG_LEVEL=0
+export HATCH_VERBOSE=3
 
 %:
 	dh $@ --buildsystem=pybuild --with bash-completion

## black 25.9.0

=== debian/changelog ===
black (25.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Sylvestre Ledru ]
  * Remove myself from the uploader. No longer a user of black

  [ Colin Watson ]
  * New upstream release:
    - Fix mypyc 1.16 failure (closes: #1114067).
  * Build without mypyc for now, until upstream is fixed to work with mypy
    1.18.

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Oct 2025 10:47:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: black
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
-           Chris Lamb <lamby@debian.org>
+Uploaders: Chris Lamb <lamby@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -26,6 +25,7 @@
                python3-pathspec,
                python3-platformdirs,
                python3-pytest <!nocheck>,
+               python3-pytokens,
                python3-regex,
                python3-setuptools,
                python3-setuptools-scm,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 export PYBUILD_DESTDIR=debian/black/
 export PYBUILD_TEST_ARGS=--run-optional no_jupyter,no_blackd -k "not (incompatible_with_mypyc or test_simple_format)"
 export PYBUILD_BUILD_ARGS=--verbose
-export HATCH_BUILD_HOOKS_ENABLE=1
+# TODO: Re-enable once upstream works properly with mypy 1.18 (many tests
+# currently fail).
+#export HATCH_BUILD_HOOKS_ENABLE=1
 export HATCH_VERBOSE=3
 
 %:

## black 25.11.0

=== docs/requirements.txt ===
# Used by ReadTheDocs; pinned requirements for stability.

myst-parser==4.0.1
Sphinx==8.2.3
# Older versions break Sphinx even though they're declared to be supported.
docutils==0.21.2
sphinxcontrib-programoutput==0.18
sphinx_copybutton==0.5.2
furo==2025.9.25

=== debian/changelog ===
black (25.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Nov 2025 10:45:11 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                python3-pathspec,
                python3-platformdirs,
                python3-pytest <!nocheck>,
-               python3-pytokens,
+               python3-pytokens (>= 0.3.0),
                python3-regex,
                python3-setuptools,
                python3-setuptools-scm,

## black 25.12.0

=== debian/changelog ===
black (25.12.0-2) unstable; urgency=medium

  * Team upload.
  * Added patch in anticipation of python3-pathspec version 1+, which will
    be needed for black version 26.0.0+.
  * d/rules: clean up build shared objects for clean repeat builds

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Feb 2026 11:12:27 +0100

black (25.12.0-1) unstable; urgency=medium

  * Team upload.
  * Re-enable building with mypyc.
  * d/watch: mark pre-releases correctly
  * New upstream release
  * debputy lint --auto-fix (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Dec 2025 10:15:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Chris Lamb <lamby@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
@@ -18,6 +19,7 @@
                python3-doc <!nodoc>,
                python3-hatch-fancy-pypi-readme,
                python3-hatch-mypyc,
+               python3-mypy (>= 1.19),
                python3-hatch-vcs,
                python3-hatchling,
                python3-mypy-extensions,
@@ -25,12 +27,12 @@
                python3-pathspec,
                python3-platformdirs,
                python3-pytest <!nocheck>,
-               python3-pytokens (>= 0.3.0),
+               python3-pytokens,
                python3-regex,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
-               python3-sphinx-copybutton (>= 0.4.0-2) <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                python3-sphinxcontrib.programoutput <!nodoc>,
                python3-typing-extensions
 Standards-Version: 4.7.2
@@ -38,7 +40,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/black.git
 Homepage: https://github.com/psf/black
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: black
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 export PYBUILD_DESTDIR=debian/black/
 export PYBUILD_TEST_ARGS=--run-optional no_jupyter,no_blackd -k "not (incompatible_with_mypyc or test_simple_format)"
 export PYBUILD_BUILD_ARGS=--verbose
-# TODO: Re-enable once upstream works properly with mypy 1.18 (many tests
-# currently fail).
-#export HATCH_BUILD_HOOKS_ENABLE=1
+export HATCH_BUILD_HOOKS_ENABLE=1
 export HATCH_VERBOSE=3
 
 %:
@@ -21,3 +19,6 @@
 execute_before_dh_installman:
 	rst2man debian/manpage.rst > debian/black.1
 	rst2man debian/manpage2.rst > debian/black-primer.1
+
+execute_after_dh_clean:
+	find src -name *.so -delete
